Subject: bug#12688: AM_PROG_VALAC: error message -> warning message

From: Sébastien Wilmet <[email-masked]>
Date: Sat, 20 Oct 2012 00:11:55 +0200

Hello,

In the AM_PROG_VALAC macro, when the optional parameter specifying the 
minimum release number is not provided, and if the Vala compiler is not 
found, then there is a _warning_ message.

On the other hand, when the version number is specified, when the Vala 
compiler is too old, there is an _error_ message.

This error message is problematic, because for a tarball, the Vala 
compiler is not required: the generated C code is included in the 
tarball. So if a user wants to compile the software, he shouldn't need 
the valac program.

So the AC_MSG_ERROR should be modified as a AC_MSG_WARN.

Best regards,
Sébastien